      SUBROUTINE REHELP(ITTY)
C     RENBR(REHLP5/PDP10 TYPE INSTRUCTIONS)
C
C     DONALD BARTH, HARVARD BUSINESS SCHOOL
C
      WRITE(ITTY,1)
    1 FORMAT(' This program renumbers and/or lists FORTRA',
     1'N programs.  Commands  typed  by  user'/' consist ',
     2' of  name  of output renumbered file and/or name o',
     3'f output listing file,'/' then = and list of input',
     4' files using 80 characters or less per  line.   & ',
     5' or  ,'/' must  terminate  line  if next line cont',
     6'inues command.  Command can be read from'/' file i',
     7'f name of file is typed with @.  Extensions .NEW, ',
     8'.LPT, .FOR and .RNB  are')
      WRITE(ITTY,2)
    2 FORMAT(' defaults  for  renumbering,  listing,  inp',
     1'ut  and command files.  File names can'/' include ',
     2'device and path to 1 SFD level.  If 2  output  nam',
     3'es  are  given,  comma'/' should  separate these a',
     4'nd switch with at least 1 must imply use.  Switche',
     5's have'/' form /letter:number:number where numbers',
     6' are optional.  Title for each page  can'/' be  sp',
     7'ecified between apostrophes and implies that assoc',
     8'iated name is of listing'/' file.'//' Following sw',
     9'itches are recognized.'/)
      WRITE(ITTY,3)
    3 FORMAT(' A followed by number of spaces to add left',
     1' of statements in IF THEN block or  in'/3X,'DO loo',
     2'p.  /A or /A:0 equals /A:1'/' B followed by smalle',
     3'st statement number in renumbered output'/' C colu',
     4'mn formatted renumbered output with statement numb',
     5'ers ending in column  5.'/3X,'Statement text will ',
     6'start in column 7'/' E followed by number of extra',
     7' tables of contents.  /E or /E:0 equals /E:1'/' F ',
     8'listing device has form feed.  Pages in listing  w',
     9'ill  be  separated  by  form')
      WRITE(ITTY,4)
    4 FORMAT(3X,'feeds  if  output  is  to  LPT  device. ',
     1' /F can be followed by number of lines'/3X,'printa',
     2'ble per page.  /F or /F:0 equals /F:60'/' G follow',
     3'ed by number of blank lines to be listed between F',
     4'ORTRAN statements.  No'/3X,'extra blank lines are ',
     5'listed between comment lines.  /G or /G:0 equals /',
     6'G:1'/' I followed  by  increment  between  stateme',
     7'nt  numbers  in  renumbered   output.'/3X,'Negativ',
     8'e  increment,  such as specified by /I:-1, gives s',
     9'mallest number at end')
      WRITE(ITTY,5)
    5 FORMAT(3X,'of program.  Smallest number will be abs',
     1'olute value  of  increment  unless  /B'/3X,'specif',
     2'ies non-zero smallest number.  /I or /I:0 equals /',
     3'I:1'/' J followed by number of blank lines to be a',
     4't top of 1st, at bottom  of  2nd  and'/3X,'top of ',
     5'3rd pages, etc.  This can be followed by number of',
     6' blank lines to be at'/3X,'bottom of 1st, at top o',
     7'f 2nd and bottom of 3rd pages, etc.  These blank  ',
     8'lines'/3X,'are  inserted  to  allow  top  binding ',
     9' of  unburst  fanfold paper and must be')
      WRITE(ITTY,6)
    6 FORMAT(3X,'included in printing line limit specifie',
     1'd by /F or /L'/' K long lines are to be kept intac',
     2't in listing'/' L pages in listing will be separat',
     3'ed by counted line feeds.  /L can be  followed'/3X,
     4'by  number  of lines printable per page.  This can',
     5' be followed by total number'/3X,'of lines per pag',
     6'e.  /S:0 is assumed if /S has not already been  se',
     7'lected.   /L'/3X,'or /L:0 equals /L:60:66'/' M if ',
     8'issued not followed by a number, old statement num',
     9'bers are maintained.   If')
      WRITE(ITTY,7)
    7 FORMAT(3X,'M  is  followed  by  2  numbers,  then  ',
     1'these are lowest and highest statement'/3X,'number',
     2's to be modified'/' P followed by first page numbe',
     3'r in listing.  /P or /P:0 equals /P:1'/' S followe',
     4'd by number of characters printable beyond normal ',
     5'right margin.  Excess'/3X,'characters  are  right ',
     6' justified  on  following  line.   /S  or /S:0 giv',
     7'es 70'/3X,'character lines.  /S:13 equals /K'/' T ',
     8'tab formatted renumbered output.  Tab character wi',
     9'll precede statement text')
      WRITE(ITTY,8)
    8 FORMAT(' U column formatted renumbered output with ',
     1'statement numbers starting  in  column'/3X,'1.  St',
     2'atement text will start in column 7'/' V listing i',
     3's to be viewed on this terminal'/' W followed by w',
     4'idth of tab stop columns to  be  used  when  conve',
     5'rting  tabs  to'/3X,'spaces  in  comment  lines.  ',
     6' Tabs  in  comment  lines  are  not  converted in'/
     73X,'renumbered output unless /W is typed.  /W or /W',
     8':0 equals /W:8'//' Listing file is identified by /',
     9'E, /F, /G, /J, /K, /L, /P, /S, /V or ''.   Default')
      WRITE(ITTY,9)
    9 FORMAT(' options  are  initial  page  number  1,  f',
     1'orm  feeds,  intact long lines, single'/' spacing,',
     2' and 1 table of contents.'//' Renumbered output is',
     3' identified by /B, /C, /I, /M, /T or  /U.   Defaul',
     4't  options'/' are smallest statement number 1, inc',
     5'rement 1 and column format.'/)
      RETURN
      END

